net.minecraft.entity.ai.attributes

## Class ModifiableAttributeInstance

- java.lang.Object
- - net.minecraft.entity.ai.attributes.ModifiableAttributeInstance

- All Implemented Interfaces:
    IAttributeInstance

      public class ModifiableAttributeInstance
      extends java.lang.Object
      implements IAttributeInstance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiableAttributeInstance(BaseAttributeMap par1BaseAttributeMap, IAttribute par2Attribute)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyModifier(AttributeModifier par1AttributeModifier)`
    `java.util.Collection` | `func_111122_c()`
    `IAttribute` | `getAttribute()`
    `double` | `getAttributeValue()`
    `double` | `getBaseValue()`
    `AttributeModifier` | `getModifier(java.util.UUID par1UUID)`
    `java.util.Collection` | `getModifiersByOperation(int par1)`
    `void` | `removeAllModifiers()`
    `void` | `removeModifier(AttributeModifier par1AttributeModifier)`
    `void` | `setBaseValue(double par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiableAttributeInstance

          public ModifiableAttributeInstance(BaseAttributeMap par1BaseAttributeMap,
                                     IAttribute par2Attribute)

  - ### Method Detail

    - #### getAttribute

          public IAttribute getAttribute()

      Specified by:
        `getAttribute` in interface `IAttributeInstance`

    - #### getBaseValue

          public double getBaseValue()

      Specified by:
        `getBaseValue` in interface `IAttributeInstance`

    - #### setBaseValue

          public void setBaseValue(double par1)

      Specified by:
        `setBaseValue` in interface `IAttributeInstance`

    - #### getModifiersByOperation

          public java.util.Collection getModifiersByOperation(int par1)

    - #### func_111122_c

          public java.util.Collection func_111122_c()

      Specified by:
        `func_111122_c` in interface `IAttributeInstance`

    - #### getModifier

          public AttributeModifier getModifier(java.util.UUID par1UUID)

      Specified by:
        `getModifier` in interface `IAttributeInstance`

    - #### applyModifier

          public void applyModifier(AttributeModifier par1AttributeModifier)

      Specified by:
        `applyModifier` in interface `IAttributeInstance`

    - #### removeModifier

          public void removeModifier(AttributeModifier par1AttributeModifier)

      Specified by:
        `removeModifier` in interface `IAttributeInstance`

    - #### removeAllModifiers

          public void removeAllModifiers()

      Specified by:
        `removeAllModifiers` in interface `IAttributeInstance`

    - #### getAttributeValue

          public double getAttributeValue()

      Specified by:
        `getAttributeValue` in interface `IAttributeInstance`